﻿using System;
using System.Collections;
using maddox.game;
using maddox.game.world;

public class Mission : AMission
{

	// menu level 1
    private void setMainMenu(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, false, 0, new string[] { "Damage engine", "Damage fix airfoil", "Damage mobile airfoil","Damage fuselage","Damage fuel tank","Electrical failure","Damage cockpit", "Hydraulic, pneumatic failure","Undercarriage failure"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	
	// submenu level 2
    private void setSubMenu1(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 1, new string[] { "11 damage engine 1", "12 damage engine 2", "13 damage engine 3", "14 damage engine 4" }, new bool[] { true, true, true, true });
    }
    private void setSubMenu2(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 2, new string[] { "21 damage left wing", "22 damage right wing", "23 damage stabilizer" }, new bool[] { true, true, true });
    }
    private void setSubMenu3(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 3, new string[] { "31 damage elevator", "32 damage rudder", "33 damage aileron", "34 damage flap", "35 damage slat", "36 damage airbrake" }, new bool[] { true, true, true, true, true, true });
    }	
    private void setSubMenu4(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 4, new string[] { "41 damage nose", "42 damage tail", "43 damage hatch" }, new bool[] { true, true, true });
    }	
    private void setSubMenu5(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 5, new string[] { "51 damage tank 1", "52 damage tank 2", "53 damage tank 3", "54 damage tank 4" }, new bool[] { true, true, true, true });
    }
    private void setSubMenu6(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 6, new string[] { "ElecBatteryFailure", "ElecGeneratorFailure", "ElecIlluminationFailure", "ElecMasterCompassFailure", "ElecPrimaryFailure", "ElecPriNavigationFailure", "ElecSecNavigationFailure", "ElecSecondaryFailure", "ElecWeaponryFailure" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu7(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 7, new string[] { "CockpitDamageFlag00", "CockpitDamageFlag01", "CockpitDamageFlag02", "CockpitDamageFlag03", "CockpitDamageFlag04", "CockpitDamageFlag05", "CockpitDamageFlag06", "CockpitDamageFlag07", "CockpitDamageFlag08" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu8(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 8, new string[] { "Hydraulic failure"," Pneumatic failure" }, new bool[] { true, true });
    }
    private void setSubMenu9(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 9, new string[] { "undercarriage failure list 1", "undercarriage failure list 2","wheel" }, new bool[] { true, true, true });
    }	
	
	
	// submenu level 3
    private void setSubMenu11(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 11, new string[] { "111 damage list 1", "112 damage list 2", "113 damage list 3", "114 damage list 4", "115 damage list 5", "116 damage list 6", "117 damage list 7", "118 damage list 8" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu12(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 12, new string[] { "121 damage list 1", "122 damage list 2", "123 damage list 3", "124 damage list 4", "125 damage list 5", "126 damage list 6", "127 damage list 7", "128 damage list 8"  }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu13(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 13, new string[] { "131 damage list 1", "132 damage list 2", "133 damage list 3", "134 damage list 4", "135 damage list 5", "136 damage list 6", "137 damage list 7" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu14(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 14, new string[] { "141 damage list 1", "142 damage list 2", "143 damage list 3", "144 damage list 4", "145 damage list 5", "146 damage list 6", "147 damage list 7" }, new bool[] { true, true, true, true, true, true, true });
    }	
	
    private void setSubMenu21(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 21, new string[] {"211 cut left wing","212 hit left wing" }, new bool[] { true, true });
    }
    private void setSubMenu22(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 22, new string[] {"221 cut right wing","222 hit right wing" }, new bool[] { true, true });
    }
    private void setSubMenu23(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 23, new string[] { "231 damage left stabilizer", "232 damage right stabilizer", "233 damage vertical stabilizer" }, new bool[] { true, true, true });	
	}
	
    private void setSubMenu31(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 31, new string[] { "311 damage left elevator type 0", "312 damage left elevator type 1", "313 damage right elevator type 0", "314 damage right elevator type 1", "315 cut left elevator type 0", "316 cut left elevator type 1", "317 cut right elevator type 0", "318 cut right elevator type 1"   }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu32(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 32, new string[] { "321 damage rudder type 0", "322 damage rudder type 1", "323 damage rudder type 2", "324 damage rudder type 3", "325 cut rudder type 0", "326 cut rudder type 1", "327 cut rudder type 2", "328 cut rudder type 3"  }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu33(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 33, new string[] { "331 damage left aileron type 0", "332 damage left aileron type 1", "333 damage right aileron type 0", "334 damage right aileron type 1", "335 cut left aileron type 0", "336 cut left aileron type 1", "337 cut right aileron type 0", "338 cut right aileron type 1" }, new bool[] { true, true, true, true, true, true, true, true });	
	}
    private void setSubMenu34(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 34, new string[] { "341 damage left flap type 0", "342 damage left flap type 1", "343 damage right flap type 0", "344 damage right flap type 1", "345 cut left flap type 0", "346 cut left flap type 1", "347 cut right flap type 0", "348 cut right flap type 1"  }, new bool[] { true, true, true, true, true, true, true, true });	
	}
    private void setSubMenu35(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 35, new string[] { "351 damage slat type 0", "352 damage slat type 1", "353 damage slat type 2", "354 damage slat type 3", "355 cut slat type 0", "356 cut slat type 1", "357 cut slat type 2", "358 cut slat type 3"  }, new bool[] { true, true, true, true, true, true, true, true });	
	}	
    private void setSubMenu36(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 36, new string[] { "361 damage left airbrake type 0", "362 damage left airbrake type 1", "363 damage right airbrake type 0", "364 damage right airbrake type 1", "365 cut left airbrake type 0", "366 cut left airbrake type 1", "367 cut right airbrake type 0", "368 cut right airbrake type 1"  }, new bool[] { true, true, true, true, true, true, true, true });	
	}	
	private void setSubMenu41(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 41, new string[] { "Nose0", "Nose1", "Nose2", "Nose3" }, new bool[] { true, true, true, true });	
	}
	private void setSubMenu42(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 42, new string[] { "Tail0", "Tail1", "Tail2", "Tail3", "Tail4", "Tail5", "Tail6", "Tail7" }, new bool[] { true, true, true, true, true, true, true, true });	
	}
	private void setSubMenu43(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 43, new string[] { "Hatch0", "Hatch1", "Hatch2", "Hatch3", "Hatch4", "Hatch5"}, new bool[] { true, true, true, true, true, true });	
	}	
    
	private void setSubMenu51(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 51, new string[] { "511 Fuel tank 1 Exploded", "512 Fuel tank 1 Fire", "513 Fuel tank 1 HosePerforated", "514 Fuel tank 1 PumpFailure", "515 Fuel tank 1 TinyLeak", "516 Fuel tank 1 SmallLeak", "517 Fuel tank 1 LargeLeak"  }, new bool[] { true, true, true, true, true, true, true });	
	}	
	private void setSubMenu52(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 52, new string[] { "521 Fuel tank 2 Exploded", "522 Fuel tank 2 Fire", "523 Fuel tank 2 HosePerforated", "524 Fuel tank 2 PumpFailure", "525 Fuel tank 2 TinyLeak", "526 Fuel tank 2 SmallLeak", "527 Fuel tank 2 LargeLeak"  }, new bool[] { true, true, true, true, true, true, true });	
	}	
	private void setSubMenu53(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 53, new string[] { "531 Fuel tank 3 Exploded", "532 Fuel tank 3 Fire", "533 Fuel tank 3 HosePerforated", "534 Fuel tank 3 PumpFailure", "535 Fuel tank 3 TinyLeak", "536 Fuel tank 3 SmallLeak", "537 Fuel tank 3 LargeLeak"  }, new bool[] { true, true, true, true, true, true, true });	
	}	
	private void setSubMenu54(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 54, new string[] { "541 Fuel tank 4 Exploded", "542 Fuel tank 4 Fire", "543 Fuel tank 4 HosePerforated", "544 Fuel tank 4 PumpFailure", "545 Fuel tank 4 TinyLeak", "546 Fuel tank 4 SmallLeak", "547 Fuel tank 4 LargeLeak"  }, new bool[] { true, true, true, true, true, true, true });	
	}
	private void setSubMenu81(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 81, new string[] { "HydraulicsEmergencyFailure", "HydraulicsPistonOpened", "HydraulicsPrimaryHosePerforated", "HydraulicsPumpFailure", "HydraulicsTankPerforated"  }, new bool[] { true, true, true, true, true });	
	}
	private void setSubMenu82(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 82, new string[] { "PneumaticsCompressorFailure", "PneumaticsPrimaryContainerPerforated", "PneumaticsPrimaryHosePerforated", "PneumaticsSecondaryContainerPerforated", "PneumaticsSecondaryHosePerforated"  }, new bool[] { true, true, true, true, true });	
	}
	private void setSubMenu91(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 91, new string[] { "UndercarriageDownLockFailureC", "UndercarriageDownLockFailureL", "UndercarriageDownLockFailureR", "UndercarriageDriveDamaged", "UndercarriageHosePerforated", "UndercarriageKinematicFailureC", "UndercarriageKinematicFailureL","UndercarriageKinematicFailureR"  }, new bool[] { true, true, true, true, true, true, true, true  });	
	}
	private void setSubMenu92(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 92, new string[] { "UndercarriageShockFailureC", "UndercarriageShockFailureL", "UndercarriageShockFailureR", "UndercarriageUpLockFailureC", "UndercarriageUpLockFailureL", "UndercarriageUpLockFailureR"  }, new bool[] { true, true, true, true, true, true });	
	}	
	private void setSubMenu93(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 93, new string[] { "Wheel0","Wheel1","Wheel2","Wheel3","Wheel4","Wheel5"  }, new bool[] { true, true, true, true, true, true });	
	}	
	
	// submenu level 4
	private void setSubMenu111(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 111, new string[] { "1111 CarbControlsFailure", "1112 CarbFailure", "1113 CompressorFailure", "1114 CompressorGovernorFailure", "1115 CompressorSeizure", "1116 CylinderHeadExtinguished", "1117 CylinderHeadFire", "1118 ExhaustHeadFailure", "1119 FuelLinePerforated"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }	
	private void setSubMenu112(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 112, new string[] { "1121 FuelPumpFailure", "1122 FuelSecondariesFire", "1123 GovernorFailure", "1124 GovernorSeizure", "1125 IntakeBurnt", "1126 IntercoolerBurnt", "1127 Magneto0Failure", "1128 Magneto1Failure", "1129 OilGasketLeak"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu113(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 113, new string[] { "1131 OilLineBroken", "1132 OilPumpFailure", "1133 OilRadiatorPerforated", "1134 OilSecondariesExtinguished", "1135 OilSecondariesFire", "1136 OilTankPerforated", "1137 Plug00Failure", "1138 Plug01Failure", "1139 Plug02Failure"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu114(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 114, new string[] { "1141 Plug03Failure", "1142 Plug04Failure", "1143 Plug05Failure", "1144 Plug06Failure", "1145 Plug07Failure", "1146 Plug08Failure", "1147 Plug09Failure", "1148 Plug10Failure", "1149 Plug11Failure"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu115(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 115, new string[] { "1151 Plug12Failure", "1152 Plug13Failure", "1153 Plug14Failure", "1154 Plug15Failure", "1155 Plug16Failure", "1156 Plug17Failure", "1157 PropBlade0Broken", "1158 PropBlade1Broken", "1159 PropBlade2Broken"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu116(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 116, new string[] { "1161 PropBlade3Broken", "1162 PropControlBroken", "1163 ThrottleControlBroken", "1164 TotalFailure", "1165 TotalSeizure", "1166 TretiaryControlBroken", "1167 WaterJacketBroken", "1168 WaterLineBroken", "1169 WaterPumpFailure"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu117(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 117, new string[] { "1171 WaterRadiatorPerforated", "1172 WaterTankPerforated"}, new bool[] { true, true });
    }
	private void setSubMenu118(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 118, new string[] { "1181 Engine0 ", "1182 Engine1 ", "1183 Engine2 ", "1184 Engine3 ", "1185 Engine4 ", "1186 Engine5 ", "1187 Engine6 ", "1188 Engine7 "}, new bool[] { true, true, true, true, true, true, true, true });
    }	
	private void setSubMenu121(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 121, new string[] { "1212 CarbControlsFailure", "1212 CarbFailure", "1213 CompressorFailure", "1214 CompressorGovernorFailure", "1215 CompressorSeizure", "1216 CylinderHeadExtinguished", "1217 CylinderHeadFire", "1218 ExhaustHeadFailure", "1219 FuelLinePerforated"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }	
	private void setSubMenu122(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 122, new string[] { "1221 FuelPumpFailure", "1222 FuelSecondariesFire", "1223 GovernorFailure", "1224 GovernorSeizure", "1225 IntakeBurnt", "1226 IntercoolerBurnt", "1227 Magneto0Failure", "1228 Magneto1Failure", "1229 OilGasketLeak"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu123(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 123, new string[] { "1231 OilLineBroken", "1232 OilPumpFailure", "1233 OilRadiatorPerforated", "1234 OilSecondariesExtinguished", "1235 OilSecondariesFire", "1236 OilTankPerforated", "1237 Plug00Failure", "1238 Plug01Failure", "1239 Plug02Failure"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu124(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 124, new string[] { "1241 Plug03Failure", "1242 Plug04Failure", "1243 Plug05Failure", "1244 Plug06Failure", "1245 Plug07Failure", "1246 Plug08Failure", "1247 Plug09Failure", "1248 Plug10Failure", "1249 Plug12Failure"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu125(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 125, new string[] { "1251 Plug12Failure", "1252 Plug13Failure", "1253 Plug14Failure", "1254 Plug15Failure", "1255 Plug16Failure", "1256 Plug17Failure", "1257 PropBlade0Broken", "1258 PropBlade1Broken", "1259 PropBlade2Broken"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu126(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 126, new string[] { "1261 PropBlade3Broken", "1262 PropControlBroken", "1263 ThrottleControlBroken", "1264 TotalFailure", "1265 TotalSeizure", "1266 TretiaryControlBroken", "1267 WaterJacketBroken", "1268 WaterLineBroken", "1269 WaterPumpFailure"}, new bool[] { true, true, true, true, true, true, true, true, true });
    }
	private void setSubMenu127(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 127, new string[] { "1271 WaterRadiatorPerforated", "1272 WaterTankPerforated"}, new bool[] { true, true });
    }
	private void setSubMenu128(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 128, new string[] { "1281 Engine0 ", "1282 Engine1 ", "1283 Engine2 ", "1284 Engine3 ", "1285 Engine4 ", "1286 Engine5 ", "1287 Engine6 ", "1288 Engine7 "}, new bool[] { true, true, true, true, true, true, true, true });
    }	
    private void setSubMenu211(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 211, new string[] { "2111 cut left wing type 0", "2112 cut left wing type 1", "2113 cut left wing type 2", "2114 cut left wing type 3", "2115 cut left wing type 4", "2116 cut left wing type 5", "2117 cut left wing type 6", "2118 cut left wing type 7" }, new bool[] { true, true, true, true, true, true, true, true });
    }	
    private void setSubMenu212(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 212, new string[] { "2121 hit left wing type 0", "2122 hit left wing type 1", "2123 hit left wing type 2", "2124 hit left wing type 3", "2125 hit left wing type 4", "2126 hit left wing type 5", "2127 hit left wing type 6", "2128 hit left wing type 7" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu221(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 221, new string[] { "2211 cut right wing type 0", "2212 cut right wing type 1", "2213 cut right wing type 2", "2214 cut right wing type 3", "2215 cut right wing type 4", "2216 cut right wing type 5", "2217 cut right wing type 6", "2218 cut right wing type 7" }, new bool[] { true, true, true, true, true, true, true, true });
    }	
    private void setSubMenu222(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 222, new string[] { "2221 hit right wing type 0", "2222 hit right wing type 1", "2223 hit right wing type 2", "2224 hit right wing type 3", "2225 hit right wing type 4", "2226 hit right wing type 5", "2227 hit right wing type 6", "2228 hit right wing type 7" }, new bool[] { true, true, true, true, true, true, true, true });
    }		
	
	private void setSubMenu231(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 231, new string[] { "2311 hit left stabilizer type 0", "2312 hit left stabilizer type 1","2313 cut left stabilizer type 0", "2314 cut left stabilizer type 1"}, new bool[] { true, true, true , true  });
    }
	private void setSubMenu232(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 232, new string[] { "2321 hit right stabilizer type 0", "2322 hit right stabilizer type 1","2323 cut right stabilizer type 0", "2324 cut right stabilizer type 1"}, new bool[] { true, true, true , true  });
    }	
	private void setSubMenu233(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 233, new string[] { "2331 hit vertical stabilizer type 0", "2332 hit vertical stabilizer type 1", "2333 hit vertical stabilizer type 2", "2334 hit vertical stabilizer type 3","2335 cut vertical stabilizer type 0", "2336 cut vertical stabilizer type 1", "2337 cut vertical stabilizer type 2", "2338 cut vertical stabilizer type 3"}, new bool[] { true, true , true , true, true, true, true, true });
    }	

    public override void OnOrderMissionMenuSelected(Player player, int ID, int menuItemIndex)
    {
	    Player[] all = { player };
        AiActor where = player.Place();
        AiAircraft aircraft = (GamePlay.gpPlayer().Place() as AiAircraft);
		
		// main menu level 1
        if (ID == 0)
        {
            if (menuItemIndex == 1) setSubMenu1(player);
            if (menuItemIndex == 2) setSubMenu2(player);
			if (menuItemIndex == 3) setSubMenu3(player);
			if (menuItemIndex == 4) setSubMenu4(player);
			if (menuItemIndex == 5) setSubMenu5(player);
			if (menuItemIndex == 6) setSubMenu6(player);
			if (menuItemIndex == 7) setSubMenu7(player);
			if (menuItemIndex == 8) setSubMenu8(player);
			if (menuItemIndex == 9) setSubMenu9(player);			

        }
		// sub menu level 2
        if (ID == 1)
        { 
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu11(player);
			if (menuItemIndex == 2) setSubMenu12(player);
			if (menuItemIndex == 3) setSubMenu13(player);
        }
        if (ID == 2)
        { 
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu21(player);
			if (menuItemIndex == 2) setSubMenu22(player);
			if (menuItemIndex == 3) setSubMenu23(player);
        }
        if (ID == 3)
        { 
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu31(player);
			if (menuItemIndex == 2) setSubMenu32(player);
			if (menuItemIndex == 3) setSubMenu33(player);
            if (menuItemIndex == 4) setSubMenu34(player);
			if (menuItemIndex == 5) setSubMenu35(player);
			if (menuItemIndex == 6) setSubMenu36(player);			
        }	
        if (ID == 4)
        { 
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu41(player);
			if (menuItemIndex == 2) setSubMenu42(player);
			if (menuItemIndex == 3) setSubMenu43(player);
	
        }			
        if (ID == 5)
        { 
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu51(player);
			if (menuItemIndex == 2) setSubMenu52(player);
			if (menuItemIndex == 3) setSubMenu53(player);
            if (menuItemIndex == 4) setSubMenu54(player);
        }	

        if (ID == 6)
        {
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecBatteryFailure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecGeneratorFailure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecIlluminationFailure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecMasterCompassFailure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecPrimaryFailure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecPriNavigationFailure);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecSecNavigationFailure);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecSecondaryFailure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.ElecWeaponryFailure);
			setSubMenu6(player);
			if (menuItemIndex == 0) setMainMenu(player);			
		}	
        if (ID == 7)
        {		
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag00);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag01);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag02);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag03);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag04);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag05);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag06);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag07);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.CockpitDamageFlag08);
			setSubMenu7(player);
			if (menuItemIndex == 0) setMainMenu(player);			
		}
        if (ID == 8)
        { 
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu81(player);
            if (menuItemIndex == 2) setSubMenu82(player);			
        }	
        if (ID == 9)
        { 
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu91(player);
            if (menuItemIndex == 2) setSubMenu92(player);			
			if (menuItemIndex == 3) setSubMenu93(player);
        }		
			
		// sub menu level 3
        if (ID == 11)
        { 
            if (menuItemIndex == 0) setSubMenu1(player);
            if (menuItemIndex == 1) setSubMenu111(player);
            if (menuItemIndex == 2) setSubMenu112(player);
            if (menuItemIndex == 3) setSubMenu113(player);	
            if (menuItemIndex == 4) setSubMenu114(player);
            if (menuItemIndex == 5) setSubMenu115(player);
            if (menuItemIndex == 6) setSubMenu116(player);			
			if (menuItemIndex == 7) setSubMenu117(player);	
			if (menuItemIndex == 8) setSubMenu118(player);	
        }	
        if (ID == 12)
        { 
            if (menuItemIndex == 0) setSubMenu1(player);
            if (menuItemIndex == 1) setSubMenu121(player);
            if (menuItemIndex == 2) setSubMenu122(player);
            if (menuItemIndex == 3) setSubMenu123(player);	
            if (menuItemIndex == 4) setSubMenu124(player);
            if (menuItemIndex == 5) setSubMenu125(player);
            if (menuItemIndex == 6) setSubMenu126(player);			
			if (menuItemIndex == 7) setSubMenu127(player);		
			if (menuItemIndex == 8) setSubMenu128(player);
        }	
        if (ID == 13)
        { 
            if (menuItemIndex == 0) setSubMenu1(player);
            // if (menuItemIndex == 1) setSubMenu131(player);
            // if (menuItemIndex == 2) setSubMenu132(player);
            // if (menuItemIndex == 3) setSubMenu133(player);	
        }	
        if (ID == 21)
        { 
			if (menuItemIndex == 0) setSubMenu2(player);
            if (menuItemIndex == 1) setSubMenu211(player);
            if (menuItemIndex == 2) setSubMenu212(player);	
        }	
        if (ID == 22)
        { 
			if (menuItemIndex == 0) setSubMenu2(player);
            if (menuItemIndex == 1) setSubMenu221(player);
            if (menuItemIndex == 2) setSubMenu222(player);			
        }	
        if (ID == 23)
        { 
            if (menuItemIndex == 0) setSubMenu2(player);
            if (menuItemIndex == 1) setSubMenu231(player);
            if (menuItemIndex == 2) setSubMenu232(player);
            if (menuItemIndex == 3) setSubMenu233(player);	
        }	
        if (ID == 31)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.ElevatorL0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.ElevatorL1, -7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.ElevatorR0, -7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.ElevatorR1, -7.5);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.ElevatorL0);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.ElevatorL1);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.ElevatorR0);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.ElevatorR1);			
			setSubMenu31(player);		
            if (menuItemIndex == 0) setSubMenu3(player);
        }	
        if (ID == 32)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Rudder0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Rudder1, -7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Rudder2, -7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Rudder3, -7.5);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Rudder0);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Rudder1);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Rudder2);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Rudder3);			
			setSubMenu32(player);		
            if (menuItemIndex == 0) setSubMenu3(player);
        }	
        if (ID == 33)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.AileronL0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.AileronL1, -7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.AileronR0, -7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.AileronR1, -7.5);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.AileronL0);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.AileronL1);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.AileronR0);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.AileronR1);
			setSubMenu33(player);			
            if (menuItemIndex == 0) setSubMenu3(player);
        }
        if (ID == 34)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.LandingFlapL0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.LandingFlapL1, -7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.LandingFlapR0, -7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.LandingFlapR1, -7.5);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.LandingFlapL0);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.LandingFlapL1);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.LandingFlapR0);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.LandingFlapR1);			
			setSubMenu34(player);		
            if (menuItemIndex == 0) setSubMenu3(player);
        }
        if (ID == 35)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Slat0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Slat1, -7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Slat2, -7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Slat3, -7.5);
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Slat0);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Slat1);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Slat2);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Slat3);				
			setSubMenu35(player);		
            if (menuItemIndex == 0) setSubMenu3(player);
        }
        if (ID == 36)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.AirBrakeL0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.AirBrakeL1, -7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.AirBrakeR0, -7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.AirBrakeR1, -7.5);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.AirBrakeL0);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.AirBrakeL1);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.AirBrakeR0);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.AirBrakeR1);				
			setSubMenu36(player);		
            if (menuItemIndex == 0) setSubMenu3(player);
        }
        if (ID == 41)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Nose0,-7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Nose1,-7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Nose2,-7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Nose3,-7.5);
			setSubMenu41(player);		
            if (menuItemIndex == 0) setSubMenu4(player);		
		}
        if (ID == 42)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Tail0,-7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Tail1,-7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Tail2,-7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Tail3,-7.5);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Tail4,-7.5);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Tail5,-7.5);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Tail6,-7.5);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Tail7,-7.5);
			setSubMenu42(player);		
            if (menuItemIndex == 0) setSubMenu4(player);		
		}	
        if (ID == 43)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Hatch0,-7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Hatch1,-7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Hatch2,-7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Hatch3,-7.5);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Hatch4,-7.5);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Hatch5,-7.5);
			setSubMenu43(player);		
            if (menuItemIndex == 0) setSubMenu4(player);		
		}		
        if (ID == 51)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank0Exploded);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank0Fire);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank0HosePerforated);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank0PumpFailure);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank0TinyLeak);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank0SmallLeak);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank0LargeLeak);
			setSubMenu51(player);		
            if (menuItemIndex == 0) setSubMenu5(player);		
		}
        if (ID == 52)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank1Exploded);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank1Fire);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank1HosePerforated);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank1PumpFailure);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank1TinyLeak);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank1SmallLeak);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank1LargeLeak);
			setSubMenu52(player);		
            if (menuItemIndex == 0) setSubMenu5(player);		
		}	
        if (ID == 53)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank2Exploded);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank2Fire);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank2HosePerforated);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank2PumpFailure);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank2TinyLeak);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank2SmallLeak);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank2LargeLeak);
			setSubMenu53(player);		
            if (menuItemIndex == 0) setSubMenu5(player);		
		}	
        if (ID == 54)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank3Exploded);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank3Fire);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank3HosePerforated);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank3PumpFailure);	
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank3TinyLeak);			
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank3SmallLeak);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.FuelTank3LargeLeak);
			setSubMenu54(player);		
            if (menuItemIndex == 0) setSubMenu5(player);		
		}		
        if (ID == 81)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.HydraulicsEmergencyFailure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.HydraulicsPistonOpened);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.HydraulicsPrimaryHosePerforated);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.HydraulicsPumpFailure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.HydraulicsTankPerforated);
			setSubMenu81(player);		
            if (menuItemIndex == 0) setSubMenu8(player);		
		}	
        if (ID == 82)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.PneumaticsCompressorFailure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.PneumaticsPrimaryContainerPerforated);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.PneumaticsPrimaryHosePerforated);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.PneumaticsSecondaryContainerPerforated);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.PneumaticsSecondaryHosePerforated);
			setSubMenu82(player);		
            if (menuItemIndex == 0) setSubMenu8(player);		
		}
        if (ID == 91)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageDownLockFailureC);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageDownLockFailureL);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageDownLockFailureR);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageDriveDamaged);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageHosePerforated);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageKinematicFailureC);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageKinematicFailureL);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageKinematicFailureR);			
			setSubMenu91(player);		
            if (menuItemIndex == 0) setSubMenu9(player);		
		}
        if (ID == 92)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageShockFailureC);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageShockFailureL);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageShockFailureR);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageUpLockFailureC);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageUpLockFailureL);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.UndercarriageUpLockFailureR);
			setSubMenu92(player);		
            if (menuItemIndex == 0) setSubMenu9(player);		
		}	
        if (ID == 93)
        {	
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Wheel0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Wheel1, -7.5);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Wheel2, -7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Wheel3, -7.5);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Wheel4, -7.5);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Wheel5, -7.5);
			setSubMenu93(player);		
            if (menuItemIndex == 0) setSubMenu9(player);		
		}			
		
		// sub menu level 4
        if (ID == 111)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0CarbControlsFailure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0CarbFailure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0CompressorFailure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0CompressorGovernorFailure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0CompressorSeizure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0CylinderHeadExtinguished);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0CylinderHeadFire);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0ExhaustHeadFailure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0FuelLinePerforated);			
			setSubMenu111(player);
            if (menuItemIndex == 0) setSubMenu11(player);			
        }
        if (ID == 112)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0FuelPumpFailure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0FuelSecondariesFire);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0GovernorFailure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0GovernorSeizure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0IntakeBurnt);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0IntercoolerBurnt);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Magneto0Failure);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Magneto1Failure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0OilGasketLeak);	
			setSubMenu112(player);
            if (menuItemIndex == 0) setSubMenu11(player);			
        }
        if (ID == 113)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0OilLineBroken);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0OilPumpFailure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0OilRadiatorPerforated);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0OilSecondariesExtinguished);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0OilSecondariesFire);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0OilTankPerforated);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug00Failure);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug01Failure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug02Failure);
			setSubMenu113(player);
            if (menuItemIndex == 0) setSubMenu11(player);			
        }
        if (ID == 114)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug03Failure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug04Failure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug05Failure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug06Failure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug07Failure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug08Failure);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug09Failure);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug10Failure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug11Failure);
			setSubMenu114(player);
            if (menuItemIndex == 0) setSubMenu11(player);			
        }
        if (ID == 115)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug12Failure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug13Failure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug14Failure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug15Failure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug16Failure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0Plug17Failure);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0PropBlade0Broken);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0PropBlade1Broken);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0PropBlade2Broken);
			setSubMenu115(player);
            if (menuItemIndex == 0) setSubMenu11(player);			
        }
        if (ID == 116)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0PropBlade3Broken);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0PropControlBroken);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0ThrottleControlBroken);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0TotalFailure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0TotalSeizure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0TretiaryControlBroken);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0WaterJacketBroken);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0WaterLineBroken);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0WaterPumpFailure);
			setSubMenu116(player);
            if (menuItemIndex == 0) setSubMenu11(player);			
        }
        if (ID == 117)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0WaterRadiatorPerforated);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng0WaterTankPerforated);
			setSubMenu117(player);
            if (menuItemIndex == 0) setSubMenu11(player);			
        }
        if (ID == 118)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine0,-7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine1,-7.5);
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine2,-7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine3,-7.5);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine4,-7.5);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine5,-7.5);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine6,-7.5);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine7,-7.5);
			setSubMenu118(player);
            if (menuItemIndex == 0) setSubMenu11(player);			
        }		
        if (ID == 121)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1CarbControlsFailure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1CarbFailure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1CompressorFailure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1CompressorGovernorFailure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1CompressorSeizure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1CylinderHeadExtinguished);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1CylinderHeadFire);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1ExhaustHeadFailure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1FuelLinePerforated);			
			setSubMenu121(player);
            if (menuItemIndex == 0) setSubMenu12(player);			
        }
        if (ID == 122)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1FuelPumpFailure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1FuelSecondariesFire);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1GovernorFailure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1GovernorSeizure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1IntakeBurnt);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1IntercoolerBurnt);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Magneto0Failure);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Magneto1Failure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1OilGasketLeak);	
			setSubMenu122(player);
            if (menuItemIndex == 0) setSubMenu12(player);			
        }
        if (ID == 123)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1OilLineBroken);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1OilPumpFailure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1OilRadiatorPerforated);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1OilSecondariesExtinguished);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1OilSecondariesFire);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1OilTankPerforated);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug00Failure);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug01Failure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug02Failure);
			setSubMenu123(player);
            if (menuItemIndex == 0) setSubMenu12(player);			
        }
        if (ID == 124)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug03Failure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug04Failure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug05Failure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug06Failure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug07Failure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug08Failure);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug09Failure);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug10Failure);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug11Failure);
			setSubMenu124(player);
            if (menuItemIndex == 0) setSubMenu12(player);			
        }
        if (ID == 125)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug12Failure);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug13Failure);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug14Failure);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug15Failure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug16Failure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1Plug17Failure);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1PropBlade0Broken);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1PropBlade1Broken);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1PropBlade2Broken);
			setSubMenu125(player);
            if (menuItemIndex == 0) setSubMenu12(player);			
        }
        if (ID == 126)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1PropBlade3Broken);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1PropControlBroken);
            if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1ThrottleControlBroken);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1TotalFailure);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1TotalSeizure);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1TretiaryControlBroken);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1WaterJacketBroken);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1WaterLineBroken);
            if (menuItemIndex == 9) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1WaterPumpFailure);
			setSubMenu126(player);
            if (menuItemIndex == 0) setSubMenu12(player);			
        }
        if (ID == 127)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1WaterRadiatorPerforated);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitNamed(part.NamedDamageTypes.Eng1WaterTankPerforated);
			setSubMenu127(player);
            if (menuItemIndex == 0) setSubMenu12(player);			
        }	
        if (ID == 128)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine0,-7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine1,-7.5);
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine2,-7.5);
            if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine3,-7.5);
            if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine4,-7.5);
            if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine5,-7.5);
            if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine6,-7.5);
            if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Engine7,-7.5);
			setSubMenu128(player);
            if (menuItemIndex == 0) setSubMenu12(player);			
        }
        if (ID == 211)
        { 
			if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingL0);
			if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingL1);	
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingL2);
			if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingL3);
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingL4);
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingL5);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingL6);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingL7);
			setSubMenu211(player);
            if (menuItemIndex == 0) setSubMenu21(player);			
        }
        if (ID == 212)
        { 
			if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingL0, -7.5);
			if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingL1, -7.5);
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingL2, -7.5);
			if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingL3, -7.5);
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingL4, -7.5);
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingL5, -7.5);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingL6, -7.5);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingL7, -7.5);
			setSubMenu212(player);
            if (menuItemIndex == 0) setSubMenu21(player);			
        }
        if (ID == 221)
        { 
			if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR0);
			if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR1);	
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR2);
			if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR3);
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR4);
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR5);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR6);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR7);
			setSubMenu221(player);
            if (menuItemIndex == 0) setSubMenu22(player);			
        }
        if (ID == 222)
        { 
			// if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingR0, -7.5);
			if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.WingR2);		
			if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingR1, -7.5);
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingR2, -7.5);
			if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingR3, -7.5);
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingR4, -7.5);
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingR5, -7.5);
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingR6, -7.5);
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.WingR7, -7.5);
			setSubMenu222(player);
            if (menuItemIndex == 0) setSubMenu22(player);			
        }	
        if (ID == 231)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.StabilizerL0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.StabilizerL1, -7.5);
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.StabilizerL0);
			if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.StabilizerL1);
			setSubMenu231(player);
            if (menuItemIndex == 0) setSubMenu23(player);			
        }		
        if (ID == 232)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.StabilizerR0, -7.5);
            if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.StabilizerR1, -7.5);
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.StabilizerR0);
			if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.StabilizerR1);			
			setSubMenu232(player);
            if (menuItemIndex == 0) setSubMenu23(player);			
        }	
        if (ID == 233)
        { 
            if (menuItemIndex == 1) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Keel0, -7.5);
			if (menuItemIndex == 2) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Keel1, -7.5);
			if (menuItemIndex == 3) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Keel2, -7.5);
			if (menuItemIndex == 4) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).hitLimb(part.LimbNames.Keel3, -7.5);
			if (menuItemIndex == 5) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Keel0);	
			if (menuItemIndex == 6) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Keel1);	
			if (menuItemIndex == 7) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Keel2);	
			if (menuItemIndex == 8) foreach (int army in GamePlay.gpArmies())foreach (var group in GamePlay.gpAirGroups(army))   foreach (var item in group.GetItems())    ((AiAircraft)item).cutLimb(part.LimbNames.Keel3);	
			
			setSubMenu233(player);
            if (menuItemIndex == 0) setSubMenu23(player);			
        }		
    }
	
  public override void OnPlayerConnected( Player player ) {
    if( MissionNumber == 0 ) {
      setMainMenu( player );
    }
  }

  public override void Inited() {
    if( MissionNumber == 0 ) {
      setMainMenu(GamePlay.gpPlayer());
    }
  }	
}
